/*    $Id: boxFunc.java,v 1.1 1996/03/22 02:30:56 davidliu Exp $
**
**
**************************************************************************
**    Copyright (C) 1996 David Wanqian Liu
**                       davidliu@mti.sgi.com
**                       http://reality.sgi.com/exmployees/davidliu_mti
**
**    This program is free software; you can redistribute it and/or modify
**    it under the terms of the GNU General Public License as published by
**    the Free Software Foundation; either version 2 of the License, or
**    (at your option) any later version.
**
**    This program is distributed in the hope that it will be useful,
**    but WITHOUT ANY WARRANTY; without even the implied warranty of
**    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**    GNU General Public License for more details.
**
**    You should have received a copy of the GNU General Public License
**    along with this program; if not, write to the Free Software
**    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
**************************************************************************
*/


package expression;



/**
  Box function. If |a| < 1 return 1, else return 0.
  */
public class boxFunc extends oneArgFunction {
  /**
    Returns box(a).
    */
  public double apply(double a) {
    if ((a < 1.0) && (a > -1.0))
      return 1.0;
    else
      return 0.0;
  }


  /**
    Return string "BOX"
    */
  public String toString() {
    return "BOX";
  }
}
